The Gnumeric Manual
Prev |  | Next

# MATCH

## Name

MATCH --

## Synopsis

    MATCH(seek,vector[,type])

## Description

MATCH function finds the row index of @seek in @vector and returns it. If the area is longer than it is wide then the sense of the search is rotated. Alternatively a single array can be used.

The @type parameter, which defaults to +1, controls the search:

If @type = 1, finds largest value <= @seek.

If @type = 0, finds first value == @seek.

If @type = -1, finds smallest value >= @seek.

For type 0, the data can be in any order. For types -1 and +1, the data must be sorted. (And in this case, MATCH uses a binary search to locate the index.)

If @seek could not be found, #N/A is returned.

## Examples

## See also

LOOKUP.

Prev | Home | Next
LOWER | Up | MAX